#include "theSecrets.h"
#include "WiFi.h"
#include "esp32API.hpp"

firewall::API *firewall_api;

void setup_wifi()
{
  log_d("Attempting to connect to WPA SSID: %s", ssid);
  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, psk);
  while (WiFi.status() != WL_CONNECTED)
  {
    delay(2000);
  }
  log_i("IP Address: %s", WiFi.localIP().toString().c_str());
}

void setup()
{
  setup_wifi();
  firewall_api = new firewall::API(api_username, api_password);
}

void loop()
{
  firewall_api->handle_clients();
}